Package tigase.cluster

## Enum ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE

- java.lang.Object
- - java.lang.Enum<ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE>
  - - tigase.cluster.ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE>`
  Enclosing class:
    ClusterConnectionManager

      public static enum ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE
      extends java.lang.Enum<ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADDED` |
    `REMOVED` |
    `UPDATED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE ADDED

    - #### UPDATED

          public static final ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE UPDATED

    - #### REMOVED

          public static final ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE REMOVED

  - ### Method Detail

    - #### values

          public static ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE c : ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClusterConnectionManager.REPO_ITEM_UPDATE_TYPE valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null